package org.ow2.petals.jbi.descriptor;

import java.io.File;

public interface JBIDescriptorConstants {

	/**
     * JBI schema file name
     */
    final String JBI_XSD = "jbi.xsd";

    /**
     * PEtALS Extensions schema file name
     */
    final String PETALS_EXTENSIONS_XSD = "extensions.xsd";

    /**
     * PEtALS Schema (conform to JBI specification) file name
     */
    final String PETALS_XSD = "petalsJBI.xsd";

    /**
     * JBI NAMESPACE
     */
    final String NAMESPACE_JBI = "http://java.sun.com/xml/ns/jbi";

    /**
     * PETALS NAMESPACE
     */
    final String NAMESPACE_PETALS = "http://petals.ow2.org";

    /**
     * PETALS EXTENSIONS NAMESPACE
     */
    final String NAMESPACE_PETALS_EXTENSIONS = NAMESPACE_PETALS+"/extensions";

    /**
     * XSI SCHEMA
     */
    final String NAMESPACE_XSI = "http://www.w3.org/2001/XMLSchema-instance";

    /**
     * XSD SCHEMA
     */
    final String NAMESPACE_XSD = "http://www.w3.org/2001/XMLSchema";

    /**
     * Standard location to the JBI Descriptor resource.
     */
    final String JBI_DESCRIPTOR_RESOURCE = "META-INF" + File.separator + "jbi.xml";

    /**
     * SCHEMA RESOURCE
     */
    final String SCHEMA_RESOURCE = "/schema/jbi";

    /**
     * The JBI Descriptor XML Schema Resource Location ("schema/jbi.xsd").
     */
    final String JBI_SCHEMA_RESOURCE = SCHEMA_RESOURCE
            + File.separator + JBI_XSD;

}
